| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
tif_predict.c File Reference
`#include "tiffiop.h"`
`#include "tif_predict.h"`

Go to the source code of this file.

## Macros
#define | PredictorState(tif) ((TIFFPredictorState*) (tif)->tif_data)
#define | REPEAT4(n, op)
#define | FIELD_PREDICTOR (FIELD_CODEC+0) /* XXX */

## Functions
int | TIFFPredictorInit (TIFF *tif)
int | TIFFPredictorCleanup (TIFF *tif)

## Macro Definition Documentation

#define FIELD_PREDICTOR (FIELD_CODEC+0) /* XXX */

Definition at line 608 of file tif_predict.c.

#define PredictorState | ( |  | tif | ) | ((TIFFPredictorState*) (tif)->tif_data)

Definition at line 35 of file tif_predict.c.

#define REPEAT4 | ( |  | n,
|  |  | op
| ) |  |

Value:
switch (n) { \
default: { int i; for (i = n-4; i > 0; i--) { op; } } \
case 4: op; \
case 3: op; \
case 2: op; \
case 1: op; \
case 0: ; \
}
jpeg_error_mgr::i
int i[8]
Definition: jpeglib.h:662

Definition at line 229 of file tif_predict.c.

## Function Documentation

int TIFFPredictorCleanup | ( | TIFF * | tif | ) |

Definition at line 714 of file tif_predict.c.

int TIFFPredictorInit | ( | TIFF * | tif | ) |

Definition at line 673 of file tif_predict.c.